Bug 800599 - (cmyktool-pkgreview) Review Request: cmyktool -
Review Request: cmyktool -
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Borsa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 13:56 EST by Máirín Duffy
Modified: 2012-05-08 00:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: cmyktool-0.1.6-0.1.pre1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.borsa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
screenshot of missing icon (9.74 KB, image/png)
2012-03-07 13:20 EST, Vinzenz Vietzke
no flags Details

  None (edit)
Description Máirín Duffy 2012-03-06 13:56:17 EST
Spec URL: http://duffy.fedorapeople.org/pkgreview/cmyktool.spec
SRPM URL: http://duffy.fedorapeople.org/pkgreview/cmyktool-0.1.6.pre1-1.fc16.src.rpm
Description: 

CMYKTool is a graphical utility that converts images from ICC profile to another, converts images from RGB to CMYK with a number of configuration options for the conversion, provides an interface for inspecting image channels, provides a 'soft proof' mode to preview how an image would look if it was printed, saves images to JPEG or TIFF (8- or 16-bit) with embedded profiles if desired. This tool is extremely useful for designers who prepare artwork for 
professional printing.
Comment 1 Peter Borsa 2012-03-06 14:51:17 EST
Hi Máirín,

I successfully built your package but rpmlint threw 5 warnings.

$ rpmlint cmyktool.spec ../SRPMS/cmyktool-0.1.6.pre1-1.fc16.src.rpm ../RPMS/i686/cmyktool-0.1.6.pre1-1.fc16.i686.rpm ../RPMS/i686/cmyktool-debuginfo-0.1.6.pre1-1.fc16.i686.rpm 
cmyktool.src: W: unexpanded-macro URL %2F05CMYKTool
cmyktool.i686: W: unexpanded-macro URL %2F05CMYKTool
cmyktool.i686: W: no-documentation
cmyktool.i686: W: no-manual-page-for-binary cmyktool
cmyktool-debuginfo.i686: W: unexpanded-macro URL %2F05CMYKTool
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Please, fix them then I'll rebuild it.
Comment 2 Peter Borsa 2012-03-06 14:56:33 EST
Oops, I almost forgit this, http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning

I would change the version number like this: 

%global prerelease pre1

Name:      cmyktool
Version:   0.1.6
Release:   0.1.%{prerelease}%{?dist}
Comment 3 Peter Borsa 2012-03-06 14:58:42 EST
Ah, typo... forgit/forgot

And here is the correct url: http://www.blackfiveimaging.co.uk/cmyktool/cmyktool-0.1.6-pre1.tar.gz

Sorry for these lot of comments. I'm just trying to help :)
Comment 4 Peter Borsa 2012-03-06 15:08:10 EST
Sorry, I was inattentive. That url above is correct, you wrote it as well in your spec file.

"<fenrus02> if mizmo replaces "%2F" in her URL: with "/" then it would be fine, and rpmlint would stop complaining"

You should apply that fenrus02 said.
Comment 5 Máirín Duffy 2012-03-06 17:57:12 EST
Hi Peter!

Thanks for the great tips and help in IRC. Here's my updated spec and SRPM. I ran rpmlint on the spec, srpm, and binary rpm, and the only warning was the missing man page. folks in #fedora-devel seemed to think the man page warning was okay. (upstream doesn't have a man page for cmyktool)

So here's the updated spec and srpm:

spec: http://duffy.fedorapeople.org/pkgreview/cmyktool.spec
srpm: http://duffy.fedorapeople.org/pkgreview/cmyktool-0.1.6-0.1.pre1.fc16.src.rpm

What do you think?
Comment 6 Peter Borsa 2012-03-06 18:19:04 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint cmyktool.spec ../SRPMS/cmyktool-0.1.6-0.1.pre1.fc16.src.rpm ../RPMS/i686/cmyktool-0.1.6-0.1.pre1.fc16.i686.rpm 
cmyktool.i686: W: no-manual-page-for-binary cmyktool
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum ../SOURCES/cmyktool-0.1.6-pre1.tar.gz ; curl -s -o - http://www.blackfiveimaging.co.uk/cmyktool/cmyktool-0.1.6-pre1.tar.gz | md5sum -
84f42d2039e095a93f9a1bee29032f6f  ../SOURCES/cmyktool-0.1.6-pre1.tar.gz
84f42d2039e095a93f9a1bee29032f6f  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ O K ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.


APPROVED.

Congratulations Máirín!
Comment 7 Máirín Duffy 2012-03-07 09:59:56 EST
New Package SCM Request
=======================
Package Name: cmyktool
Short Description: GUI utility to manage color profiles & convert from RGB to CMYK
Owners: duffy
Branches: f16 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-03-07 10:13:52 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-03-07 12:21:11 EST
cmyktool-0.1.6-0.1.pre1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cmyktool-0.1.6-0.1.pre1.fc16
Comment 10 Fedora Update System 2012-03-07 12:35:53 EST
cmyktool-0.1.6-0.1.pre1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cmyktool-0.1.6-0.1.pre1.fc17
Comment 11 Vinzenz Vietzke 2012-03-07 13:20:30 EST
Created attachment 568377 [details]
screenshot of missing icon

Works flawless, only icon is not showing up in gnome shell activities space.
Comment 12 Vinzenz Vietzke 2012-03-07 13:23:08 EST
(In reply to comment #11)
> Created attachment 568377 [details]
> screenshot of missing icon
> 
> Works flawless, only icon is not showing up in gnome shell activities space.
Forgot version: cmyktool-0.1.6-0.1.pre1.fc16.x86_64
Comment 13 Fedora Update System 2012-03-07 17:38:29 EST
cmyktool-0.1.6-0.1.pre1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-03-07 22:54:50 EST
cmyktool-0.1.6-0.1.pre1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-03-08 00:03:13 EST
cmyktool-0.1.6-0.1.pre1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-05-08 00:16:30 EDT
cmyktool-0.1.6-0.1.pre1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.